org.apache.struts2.url

## Class StrutsQueryStringParser.StrutsQueryStringParserResult

- java.lang.Object
- - org.apache.struts2.url.StrutsQueryStringParser.StrutsQueryStringParserResult

- All Implemented Interfaces:
    QueryStringParser.Result
  Enclosing class:
    StrutsQueryStringParser

      public static class StrutsQueryStringParser.StrutsQueryStringParserResult
      extends Object
      implements QueryStringParser.Result

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryStringParser.Result` | `addParam(String name, String value)`
    `boolean` | `contains(String name)`
    `String` | `getQueryFragment()`
    `Map<String,Object>` | `getQueryParams()`
    `boolean` | `isEmpty()`
    `QueryStringParser.Result` | `withQueryFragment(String queryFragment)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addParam

          public QueryStringParser.Result addParam(String name,
                                                   String value)

      Specified by:
        `addParam` in interface `QueryStringParser.Result`

    - #### withQueryFragment

          public QueryStringParser.Result withQueryFragment(String queryFragment)

      Specified by:
        `withQueryFragment` in interface `QueryStringParser.Result`

    - #### getQueryParams

          public Map<String,Object> getQueryParams()

      Specified by:
        `getQueryParams` in interface `QueryStringParser.Result`

    - #### getQueryFragment

          public String getQueryFragment()

      Specified by:
        `getQueryFragment` in interface `QueryStringParser.Result`

    - #### contains

          public boolean contains(String name)

      Specified by:
        `contains` in interface `QueryStringParser.Result`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `QueryStringParser.Result`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.